VMTKPETERSURFACECLIPPER(1)

NAME
vmtkpetersurfaceclipper - vmtk script vmtkpetersurfaceclipper

DESCRIPTION
Automatic piping petersurfaceclipper Parsing options petersurfaceclipper

petersurfaceclipper : interactively clip a surface with a box

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-iclip ClipsIn (vtkMultiBlockDataSet,1): the input clips file

-iclipfile ClipsInInputFileName (str,1): filename for the default

    ClipsIn reader

-type WidgetType (str,1) in ['box', 'sphere']; default=box: type of

    widget used for clipping

-transform Transform (vtkTransform,1): the widget transform, useful

    in case of piping of multiple clipping scripts

-cleanoutput CleanOutput (bool,1); default=1: toggle cleaning the

    unused points

-insideout InsideOut (bool,1); default=0: toggle switching output

    and clipped surfaces

-interactive Interactive (bool,1); default=1: toggle clipping with

    a widget or with a pre-defined scalar field

-array ClipArrayName (str,1); default=None: name of the array with

    which to clip in case of non-interactive clipping

-value ClipValue (float,1); default=0.0: scalar value at which to

    perform clipping in case of non-interactive clipping

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

-oclippedfile ClippedSurfaceOutputFileName (str,1): filename for

    the default ClippedSurface writer

-ocutlinesfile CutLinesOutputFileName (str,1): filename for the

    default CutLines writer

-oclipfile ClipsOutOutputFileName (str,1): filename for the default

    ClipsOut writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface

-oclipped ClippedSurface (vtkPolyData,1): the clipped surface

-ocutlines CutLines (vtkPolyData,1): the cutlines

-oclip ClipsOut (vtkMultiBlockDataSet,-1): the output surfaces

    associated with the clips made

-otransform Transform (vtkTransform,1): the output widget transform